NodeVisitor File Reference
`#include <osg/Node>`
`#include <osg/Matrix>`
`#include <osg/FrameStamp>`
`#include <osg/ValueMap>`
`#include <osg/ValueStack>`

Go to the source code of this file.

## Classes

class | osg::NodeVisitor
class | osg::NodeVisitor::DatabaseRequestHandler
class | osg::NodeVisitor::ImageRequestHandler
class | osg::NodeAcceptOp
class | osg::PushPopObject
class | osg::PushPopValue

## Namespaces

namespace | osgUtil
namespace | osgGA
namespace | osg

## Macros

#define | OSG_NODEVISITOR 1
#define | META_NodeVisitor(library, name)

## Functions

template<>
ValueStack * | osg::getOrCreateUserObjectOfType< NodeVisitor, ValueStack > (NodeVisitor *nv)
template<>
ValueMap * | osg::getOrCreateUserObjectOfType< NodeVisitor, ValueMap > (NodeVisitor *nv)

## Variables

const unsigned int | osg::UNINITIALIZED_FRAME_NUMBER =0xffffffff

## Macro Definition Documentation

## META_NodeVisitor

#define META_NodeVisitor | ( |  | library,
|  |  | name )

Value:
virtual const char* libraryName() const { return #library; }\
virtual const char* className() const { return #name; }

## OSG_NODEVISITOR

#define OSG_NODEVISITOR 1